// forward from cocoon to call this
window.setGif = function (name) {
    var fillScreen = document.getElementById("fillscreen");
    fillScreen.style["background-image"] = "url('" + name + ".gif')";
    fillScreen.addEventListener('click', onOpen, false);

    window.setGameLogo(name);
};

window.setVideo = function (name) {
    var container = document.getElementById("video");
    var video = document.createElement("video");
    var source = document.createElement("source");
    source.setAttribute("src", "./" + name + ".mp4");
    video.setAttribute("loop", "true");
    video.setAttribute("autoplay", "true");
    // video.setAttribute("controls", "true");

    video.appendChild(source);
    container.appendChild(video);
};

//add game logo in right top corner
window.setGameLogo = function (name) {
    var gameLogo = document.getElementById("gamelogo");
    gameLogo.src = "./" + name + ".png";
};

// quick fix for multiple clicks:
var hasClicked = false;

// click on the buttons
var downloadbutton = document.getElementById("downloadbutton");
var opensymbol = document.getElementById("opensymbol");
var closesymbol = document.getElementById("closesymbol");
var onOpen = function (evt) {
    evt.stopPropagation();
    if (hasClicked) {
        return;
    }

    Cocoon.App.forward('window.openCrossPromo();');

    hasClicked = true;
    window.setTimeout(function () {
        hasClicked = false;
    }, 500);
};
var close = function (evt) {
    evt.stopPropagation();
    Cocoon.App.forward('window.closeTheWebview();');

    // Cocoon.WebView.hide();
};
var localize = function () {
    var translations = {
        en: {
            "text": "Play Now!"
        },
        zh: {
            "text": "免费下载"
        },
        zt: {
            "text": "免費下載"
        },
        pt: {
            "text": "Download Grátis",
            "font-size": "20px"
        },
        de: {
            "text": "Gratis Download",
            "font-size": "20px"
        },
        es: {
            "text": "Descarga GRATIS",
            "font-size": "20px"
        },
        fr: {
            "text": "Téléchargez",
            "font-size": "20px"
        },
        it: {
            "text": "Scarica GRATIS",
            "font-size": "20px"
        },
        ja: {
            "text": "無料ダウンロード",
            "font-size": "20px"
        },
        ko: {
            "text": "무료로 다운로드",
            "font-size": "20px"
        },
        ru: {
            "text": "Скачать бесплатно",
            "font-size": "18px"
        }
    };
    var language = window.navigator.userLanguage || window.navigator.language;
    var code;
    var languageCode = 'en';

    if (language && language.substr) {
        code = language.substr(0, 2).toLowerCase();
        if (
            code === 'zh' ||
            code === 'pt' ||
            code === 'de' ||
            code === 'es' ||
            code === 'fr' ||
            code === 'it' ||
            code === 'ja' ||
            code === 'ko' ||
            code === 'ru'
        ) {
            languageCode = code;
        } else {
            languageCode = 'en';
        }
    }
    // special cases for chinese tradition (zh-TW) and HK (zh-HK):
    // ZT / ZHT, ZHK ?
    if (language.toLowerCase() === 'zh-tw' || language.toLowerCase().indexOf('zh-hant') >= 0) {
        languageCode = 'zt';
    } else if (language.toLowerCase() === 'zh-hk' || language.toLowerCase().indexOf('zh-hans') >= 0) {
        languageCode = 'zt';
    }

    if (translations[languageCode]["font-size"]) {
        downloadbutton.style['font-size'] = translations[languageCode]["font-size"];
        downloadbutton.style['line-height'] = '48px';
        downloadbutton.style['min-height'] = '48px';
    }

    downloadbutton.innerHTML = translations[languageCode].text;
};

downloadbutton.addEventListener('click', onOpen, false);
opensymbol.addEventListener('click', onOpen, false);
closesymbol.addEventListener('click', close, false);

localize();